com.streambase.liveview.client

## Class LiveViewConnectionFactory

- java.lang.Object
- - com.streambase.liveview.client.LiveViewConnectionFactory

-     public final class LiveViewConnectionFactory
      extends Object

  A factory for retrieving a `LiveViewConnection` based on `ConnectionConfig` A connection can also be retrieved by provide a simple String based URI.

  The URI must have the following syntax: `lv://<host>[:<port>]`

  The default port, when not provided, is specified by `LiveViewConnectionFactory.DEFAULT_SERVER_PORT`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_HOST` The default server host
    `static int` | `DEFAULT_SERVER_PORT` The factory uses this as the default port when not specified in the connect URI: value 10080.
    `static int` | `DEFAULT_SERVER_SSL_PORT`
    `static String` | `DEFAULT_URI` The default server uri

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LiveViewConnection` | `getConnection(ConnectionConfig config)` Retrieves a `LiveViewConnection` based on the `ConnectionConfig`
    `static LiveViewMultiConnection` | `getConnection(MultiConnectionConfig config, boolean waitForConnection)` Retrieves a `LiveViewMultiConnection` based on the given `MultiConnectionConfig`.
    `static LiveViewConnection` | `getConnection(String uri)` Retrieves a `LiveViewConnection` based on a valid URI.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SERVER_PORT

          public static final int DEFAULT_SERVER_PORT

      The factory uses this as the default port when not specified in the connect URI: value 10080.
      See Also:
        Constant Field Values

    - #### DEFAULT_SERVER_SSL_PORT

          public static final int DEFAULT_SERVER_SSL_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_HOST

          public static final String DEFAULT_HOST

      The default server host
      See Also:
        Constant Field Values

    - #### DEFAULT_URI

          public static final String DEFAULT_URI

      The default server uri
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getConnection

          public static LiveViewConnection getConnection(String uri)
                                                  throws LiveViewException

      Retrieves a `LiveViewConnection` based on a valid URI.
      Parameters:
        `uri` - valid URI supported by LiveView
      Returns:
        A connection to LiveView server
      Throws:
        `LiveViewException` - if connection cannot be established
        `NullPointerException` - if URI is null

    - #### getConnection

          public static LiveViewConnection getConnection(ConnectionConfig config)
                                                  throws LiveViewException,
                                                         LiveViewConnectionCanceledException

      Retrieves a `LiveViewConnection` based on the `ConnectionConfig`
      Parameters:
        `config` - Connection configuration
      Returns:
        A connection to LiveView server
      Throws:
        `LiveViewException` - if a server exception occurs on connect
        `LiveViewConnectionCanceledException` - if user cancels the connection via a `ProgressMonitor`
        `NullPointerException` - if the configuration URI is null

    - #### getConnection

          public static LiveViewMultiConnection getConnection(MultiConnectionConfig config,
                                                              boolean waitForConnection)
                                                       throws LiveViewException

      Retrieves a `LiveViewMultiConnection` based on the given `MultiConnectionConfig`. Note that this call has no declared exceptions, as errors connecting to individual servers are handled internally and available as statuses for each underlying `LiveViewConnectionControl`.

      Important: see the Javadoc for `LiveViewMultiConnection` for limitations to expect when connect to servers this way.

      Parameters:
        `config` - configuration, identifying the servers you want to connect to, plus some flags that control how you connect
        `waitForConnection` - true if you want to wait until at least one connection is made before this call returns. If false, this method returns immediately although many operations will throw an exception until a connection is later established.
      Returns:
        `LiveViewMultiConnection` the connection object
      Throws:
        `LiveViewException` - may be thrown on errors. Note that most errors will be reported using the listeners attached to the configuration instead.
      Since:
        2.0

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.